Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class DynamicRequestEndpoint.NullInboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultInboundEndpoint
              org.mule.module.ibeans.spi.support.DynamicRequestEndpoint.NullInboundEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Disposable, Startable, Stoppable, MessageSource, MessageRequesting

Enclosing class:
  DynamicRequestEndpoint

    protected static class DynamicRequestEndpoint.NullInboundEndpoint

extends DefaultInboundEndpoint
implements InboundEndpoint

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`MessageProcessor` | `createMessageProcessorChain(FlowConstruct flowContruct)`
`List<String>` | `getResponseProperties()`
`MuleEvent` | `process(MuleEvent event)`

Methods inherited from class org.mule.endpoint.DefaultInboundEndpoint
`dispose, getExceptionListener, hashCode, request, setExceptionListener, setFlowConstruct, setListener, start, stop`

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessorChain, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly`

Methods inherited from interface org.mule.api.transport.MessageRequesting
`request`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Methods inherited from interface org.mule.api.construct.FlowConstructAware
`setFlowConstruct`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Method Detail

### createMessageProcessorChain

    public MessageProcessor createMessageProcessorChain(FlowConstruct flowContruct)
                                                 throws MuleException

  Overrides:
    `createMessageProcessorChain` in class `DefaultInboundEndpoint`
  Throws:
    `MuleException`

### getResponseProperties

    public List<String> getResponseProperties()

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.